#!/bin/bash
set -e
PROG_NAME=`basename $0`
DIR_NAME=`dirname $0`
usage() {
cat << EOF >&2
 usage: $PROG_NAME -p <portNum> -l <logDir>
EOF
}

while getopts "p:l:" option
do
  case $option in
    p)
      PORT_NUM=$OPTARG
      ;;
    l)
      LOG_DIR=$OPTARG
      ;;
    ?)
      usage
      exit
  esac
done

validate() {
  if [ -z $PORT_NUM ] || [ -z $LOG_DIR ]
  then
    usage
    exit 1
  fi
}

delete_existing_logs() {
  echo "Deleting existing log files"
  rm -rf $LOG_DIR
  mkdir -p $LOG_DIR
}

validate
delete_existing_logs

echo navigator.server.port=$PORT_NUM >> $DIR_NAME/../conf/db.properties
echo navigator.server.log_dir_path=$LOG_DIR >> $DIR_NAME/../conf/db.properties

exec java -server -Xmx1g -Dcom.cloudera.navigator.schemaPath="$DIR_NAME/../schema" \
-Dnavigator.auditModels.dir="$DIR_NAME/../auditModels" \
-cp "$DIR_NAME/../lib/*" com.cloudera.navigator.NavigatorMain --conf-dir $DIR_NAME/../conf  --conf-file db.properties
